«Bodysite» — сертифицированное агентство «Яндекс.Маркет»Подробнее
Баг-репорты

500 ошибка при обновлении плагина до 3.5

111 222
12 сентября 2019 18:04
+1

Стояла древняя версия плагина.

Обновился до версии 3.5. Сайт выдает 500 ошибку.

Версия Webasyst

1.11.11.432

Версия PHP

7.1.28

NGINX

В логах:

PHP Fatalerror shopSeoWaResponse cannot implement shopSeoResponse - it is not  an  interface in /wa-apps/shop/plugins/seo/lib/classes/wa/shopSeoWaResponse.class.php on line 4

Пришлось менять в коде

shopSeoWaViewBuffer.class.php

class shopSeoWaViewBuffer implements shopSeoViewBuffer

на

class shopSeoWaViewBuffer extends shopSeoViewBuffer


И аналогично в shopSeoWaResponse.class.php

Вроде заработало. До следующего обновления?


0 комментариев
Добавить комментарий
Чтобы добавить комментарий, войдите в личный кабинет